interfaces {
    fxp2 {
        unit 34 {
            description "R3 to R4";
            vlan-id 34;
            family inet {
                address 10.3.4.3/24;
            }
        }
        unit 35 {
            description "R3 to R5";
            vlan-id 35;
            family inet {
                address 10.3.5.3/24;
            }
        }
    }
    fxp3 {
        unit 13 {
            description "R3 to R1";
            vlan-id 13;
            family inet {
                address 10.1.3.3/24;
            }
        }
        unit 23 {
            description "R3 to R2";
            vlan-id 23;
            family inet {
                address 10.2.3.3/24;
            }
        }
    }
}
protocols {
    ospf {
        export REDISTRIBUTE-RIP;
        area 0.0.0.0 {
            interface fxp3.13;
            interface fxp3.23;
        }
    }
    rip {
        group BACKBONE {
            export REDISTRIBUTE-OSPF;
            neighbor fxp2.34;
            neighbor fxp2.35;
        }
    }
}
policy-options {
    policy-statement REDISTRIBUTE-CONNECTED {
        from protocol direct;
        then accept;
    }
    policy-statement REDISTRIBUTE-OSPF {
        from protocol ospf;
        then accept;
    }
    policy-statement REDISTRIBUTE-RIP {
        from protocol rip;
        then accept;
    }
    policy-statement REDISTRIBUTE-STATIC {
        from protocol static;
        then accept;
    }
}
